File ManagerImport HTTP Push Zone

Import HTTP Push Zone

Import HTTP Push Zone

curl -X POST "https://api.5centscdn.com/v2/zones/http/push/42/import" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
  -d '{
  "id": 123,
  "url": "https://cdn.example.com/test.mp4",
  "filename": "test.mp4",
  "folder": "mp4"
}'
{
  "result": "success",
  "message": "Zone updated successfully"
}
POST
/zones/http/push/{zoneid}/import
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

Content-Typestring
Required

The media type of the request body

Options: application/json
idinteger

Enter numeric value.

Format: int32
urlstring

Enter url of file

filenamestring

Filename must have an extension.

folderstring

Enter file upload foler path

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

zoneidinteger
Required

Zone ID

Example:
42

Body

application/json
idinteger

Enter numeric value.

urlstring

Enter url of file

Example:
https://cdn.example.com/test.mp4
filenamestring

Filename must have an extension.

Example:
test.mp4
folderstring

Enter file upload foler path

Example:
mp4

Responses

resultstring

Status of the API response.

messagestring

Human-readable status message describing the outcome.